Skip to main content
Available in🇮🇳 India🇸🇬 Singapore
Composite API allows you to make three requests in a single API call. No OTP authorization is required when creating a payout using APIs. Ensure you allowlist IPs and pass the idempotency key to make a successful payout.
You can either create a new Contact and its Fund Account while making the payout, or use an existing Contact and Fund Account details to make the payout. Using the Contact and Fund Account details instead of IDs will not create duplicate Contacts or Fund Accounts in your system. However, we recommend that you create the Contact and Fund Account before making a payout to help improve payout processing time.
Fork the Razorpay Postman Public Workspace and try the Payout Composite APIs using your Test API Keys. Run in Postman

Create a Payout to a Bank Account

POST /v1/payoutsCreates a payout along with the Contact and Fund Account with of the type bank account.

Create a Payout to a VPA

POST /v1/payoutsCreates a payout along with the Contact and Fund Account of the type VPA.

Create a Payout to a Card

POST /v1/payoutsCreates a payout along with the Contact and Fund Account of the type card.